package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * EasyManageOverviewInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class EasyManageOverviewInfo   {
  @JsonProperty("mac")
  private String mac;

  @JsonProperty("ip")
  private String ip;

  @JsonProperty("model")
  private String model;

  @JsonProperty("firmwareVersion")
  private String firmwareVersion;

  @JsonProperty("version")
  private String version;

  @JsonProperty("hwVersion")
  private String hwVersion;

  @JsonProperty("uptime")
  private String uptime;

  @JsonProperty("portList")
  @Valid
  private List<PortInfo> portList = null;

  public EasyManageOverviewInfo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Switch MAC address
   * @return mac
  */
  @ApiModelProperty(value = "Switch MAC address")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public EasyManageOverviewInfo ip(String ip) {
    this.ip = ip;
    return this;
  }

  /**
   * Switch IP address
   * @return ip
  */
  @ApiModelProperty(value = "Switch IP address")


  public String getIp() {
    return ip;
  }

  public void setIp(String ip) {
    this.ip = ip;
  }

  public EasyManageOverviewInfo model(String model) {
    this.model = model;
    return this;
  }

  /**
   * Model
   * @return model
  */
  @ApiModelProperty(value = "Model")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public EasyManageOverviewInfo firmwareVersion(String firmwareVersion) {
    this.firmwareVersion = firmwareVersion;
    return this;
  }

  /**
   * Firmware Version e.g:2.5.0 Build 20190118 Rel. 64821
   * @return firmwareVersion
  */
  @ApiModelProperty(value = "Firmware Version e.g:2.5.0 Build 20190118 Rel. 64821")


  public String getFirmwareVersion() {
    return firmwareVersion;
  }

  public void setFirmwareVersion(String firmwareVersion) {
    this.firmwareVersion = firmwareVersion;
  }

  public EasyManageOverviewInfo version(String version) {
    this.version = version;
    return this;
  }

  /**
   * Firmware Version e.g:2.5.0
   * @return version
  */
  @ApiModelProperty(value = "Firmware Version e.g:2.5.0")


  public String getVersion() {
    return version;
  }

  public void setVersion(String version) {
    this.version = version;
  }

  public EasyManageOverviewInfo hwVersion(String hwVersion) {
    this.hwVersion = hwVersion;
    return this;
  }

  /**
   * Hardware Version
   * @return hwVersion
  */
  @ApiModelProperty(value = "Hardware Version")


  public String getHwVersion() {
    return hwVersion;
  }

  public void setHwVersion(String hwVersion) {
    this.hwVersion = hwVersion;
  }

  public EasyManageOverviewInfo uptime(String uptime) {
    this.uptime = uptime;
    return this;
  }

  /**
   * Uptime
   * @return uptime
  */
  @ApiModelProperty(value = "Uptime")


  public String getUptime() {
    return uptime;
  }

  public void setUptime(String uptime) {
    this.uptime = uptime;
  }

  public EasyManageOverviewInfo portList(List<PortInfo> portList) {
    this.portList = portList;
    return this;
  }

  public EasyManageOverviewInfo addPortListItem(PortInfo portListItem) {
    if (this.portList == null) {
      this.portList = new ArrayList<>();
    }
    this.portList.add(portListItem);
    return this;
  }

  /**
   * Port List
   * @return portList
  */
  @ApiModelProperty(value = "Port List")

  @Valid

  public List<PortInfo> getPortList() {
    return portList;
  }

  public void setPortList(List<PortInfo> portList) {
    this.portList = portList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    EasyManageOverviewInfo easyManageOverviewInfo = (EasyManageOverviewInfo) o;
    return Objects.equals(this.mac, easyManageOverviewInfo.mac) &&
        Objects.equals(this.ip, easyManageOverviewInfo.ip) &&
        Objects.equals(this.model, easyManageOverviewInfo.model) &&
        Objects.equals(this.firmwareVersion, easyManageOverviewInfo.firmwareVersion) &&
        Objects.equals(this.version, easyManageOverviewInfo.version) &&
        Objects.equals(this.hwVersion, easyManageOverviewInfo.hwVersion) &&
        Objects.equals(this.uptime, easyManageOverviewInfo.uptime) &&
        Objects.equals(this.portList, easyManageOverviewInfo.portList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mac, ip, model, firmwareVersion, version, hwVersion, uptime, portList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class EasyManageOverviewInfo {\n");
    
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    ip: ").append(toIndentedString(ip)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    firmwareVersion: ").append(toIndentedString(firmwareVersion)).append("\n");
    sb.append("    version: ").append(toIndentedString(version)).append("\n");
    sb.append("    hwVersion: ").append(toIndentedString(hwVersion)).append("\n");
    sb.append("    uptime: ").append(toIndentedString(uptime)).append("\n");
    sb.append("    portList: ").append(toIndentedString(portList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

